/ai/domains/{id}/policy (PUT)
PUT
/ai/domains/{id}/policy
const url = 'https://example.com/api/v1/ai/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policy';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"enabled":true,"allowAttachments":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/ai/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policy \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "enabled": true, "allowAttachments": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
enabled
boolean
allowAttachments
boolean
Examplegenerated
{ "enabled": true, "allowAttachments": true}Responses
Section titled “Responses”Default Response